Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: "Drew Adams" <[email-masked]>
Date: Mon, 27 Feb 2012 06:19:55 -0800

> > I cannot speak for Chong, but personally I dislike CL's loop.
> Like many Emacs maintainers unfortunately.
> 
> > It isn't readable, and so it decreases maintanability of 
> > such a basic package like files.el.
> I disagree.
> Once you are used to it, it is more readable and easier to maintain.

AFAIK, `loop' is a macro, so its use in Emacs source code is not a no-no.  There
is no need to require cl.el at runtime, in order to use `loop'.

(I personally am not a big fan of `loop', but I do use it sometimes.)